apiVersion: security.openshift.io/v1
kind: SecurityContextConstraints
metadata:
  annotations:
    kubernetes.io/description: restricted-{{ namespace }}-{{ lool_name }} denies access to all host features and requires
      pods to be run with a UID, and SELinux context that are allocated to the namespace. It
      pretty much matches the default restricted SecurityContextConstraint, with the exception
      of granting FOWNER, MKNOD and SYS_CHROOT capabilities, required by LibreOfficeOnline.
  name: restricted-{{ namespace }}-{{ lool_name }}
allowHostDirVolumePlugin: false
allowHostIPC: false
allowHostNetwork: false
allowHostPID: false
allowHostPorts: false
allowPrivilegeEscalation: true
allowPrivilegedContainer: false
allowedCapabilities:
- FOWNER
- MKNOD
- SYS_CHROOT
defaultAddCapabilities:
- FOWNER
- MKNOD
- SYS_CHROOT
fsGroup:
  type: MustRunAs
groups: []
priority: null
readOnlyRootFilesystem: false
requiredDropCapabilities:
- KILL
- SETUID
- SETGID
runAsUser:
  type: MustRunAsRange
seLinuxContext:
  type: MustRunAs
supplementalGroups:
  type: RunAsAny
users:
- system:serviceaccount:{{ namespace }}:{{ lool_name }}
volumes:
- configMap
- downwardAPI
- emptyDir
- persistentVolumeClaim
- projected
- secret
